      subroutine hec_io_pass_ter
c
c handle data io at pass end
c
c user datacard values common
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc'
c
      integer iubuff, ierr
c
c print system stats
c
      call hec_stats_print
c
c zebra
c
      if (in_typ(1) .eq. 1) then
        call fzendi(in_typ(2), 'T')
        call fzinfo(in_typ(2))
        rewind(in_typ(2))
c
c epio
c
      elseif (in_typ(1) .eq. 2) then
        call eprwnd(in_typ(2), iubuff, ierr)
        if (ierr .ne. 0) then
          print *, ' *** error calling eprwnd in hec_io_pass_ter', ierr
          stop
        endif
      endif
c
      end
